Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058131

Summary: [RFE][swift]: Remove python-swiftclient as a dependency of swift
Product: Red Hat OpenStack Reporter: RHOS Integration <rhos-integ>
Component: openstack-swiftAssignee: Pete Zaitcev <zaitcev>
Status: CLOSED CURRENTRELEASE QA Contact: nlevinki <nlevinki>
Severity: unspecified Docs Contact:
Priority: medium    
Version: unspecifiedCC: adahms, ddomingo, derekh, gfidente, markmc, nlevinki, scohen, sgotliv, slong, yeylon, zaitcev
Target Milestone: asyncKeywords: FutureFeature, TestOnly, Triaged, ZStream
Target Release: 5.0 (RHEL 7)   
Hardware: Unspecified   
OS: Unspecified   
URL: https://blueprints.launchpad.net/swift/+spec/remove-swiftclient-dependency
Whiteboard: upstream_milestone_icehouse upstream_status_implemented upstream_definition_new
Fixed In Version: openstack-swift-1.13.1-2.el7ost Doc Type: Enhancement
Doc Text:
The python-swiftclient package is no longer used by Object Storage (swift), and hence does not need to be installed on storage nodes. It is desirable for python-swiftclient to depend on other packages, but not desirable to add a number of transient dependencies to server nodes. Now, the python-swiftclient: - Can use HTTP client libraries such as Requests - May be included into Python 3 applications freely - Imports python-keystoneclient utilities
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-02 21:21:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description RHOS Integration 2014-01-27 05:05:01 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/swift/+spec/remove-swiftclient-dependency.

Description:

1) direct_client has very small usage
2) /bin scripts use it a lot
3) tests use it a lot

tests can be solved by moving python-swiftclient to test-requires.txt
that leaves bin scripts and direct_client
direct_client is used by bin scripts and container sync and account reaper

Specification URL (additional information):

None

Comment 11 Pete Zaitcev 2014-10-13 20:47:43 UTC
moving to MODIFIED in openstack-swift-1.13.1-2.el6ost and clearing Needinfo